%global momorel 6
%global mainver 3.1
%global subver 0.09
%global srcver %{mainver}-%{subver}
%global emacsver 23.0.95
%global e_sitedir  %{_datadir}/emacs/site-lisp

Summary: bash debugger script
Name:    bashdb
Version: %{mainver}.%{subver}
Release: %{momorel}m%{?dist}
Group:   Development/Tools
License: GPL
URL:     http://bashdb.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{srcver}.tar.gz
NoSource: 0
Requires: bash
BuildRequires: bash, emacs >= %{emacsver}
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Prereq: info

%description
bashdb is a bash script to which arranges for another bash script to be debugged. The debugger has a similar command interface as gdb.

The way this script arranges debugging to occur is by including (or actually ``source''-ing) some debug-support code and then sourcing the given script or command string.

One problem with sourcing a debugged script is that the program name stored in $0 will be bashdb rather than the name of the script to be debugged. The debugged script will appear in a call stack not as the top item but as the item below bashdb. If this is of concern, use the last form given above, bash --debugger script-name [script-options].

If you used bashdb script and need to pass options to the script to be debugged, add -- before the script name. That will tell bashdb not to try to process any further options.

See the reference manual http://bashdb.sourceforge.net/bashdb.html for how to to call the debugger from inside your program or arrange for the debugger to get called when your program is sent a signal.

%package emacs
Summary: Emacs interface to bashdb
Group: Development/Tools
Requires: emacs
Requires: %{name} = %{version}-%{release}

%description emacs
Emacs interface to bashdb


%prep
%setup -q -n %{name}-%{srcver}

%build
%configure EMACS=emacs
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# to avoid conflicting on x86_64
rm -f %{buildroot}%{_infodir}/dir

%post
if [ -x /sbin/install-info ]; then
    /sbin/install-info %{_infodir}/bashdb.info %{_infodir}/dir
fi

%preun
if [ $1 = 0 -a -x /sbin/install-info ]; then
    /sbin/install-info --delete %{_infodir}/bashdb.info %{_infodir}/dir
fi


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README INSTALL ChangeLog* AUTHORS COPYING NEWS THANKS TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_infodir}/*

%files emacs
%{e_sitedir}/*.el*

%changelog
* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.0.09-6m)
- rebuild against emacs-23.0.95

* Mon May 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.0.09-5m)
- rebuild against emacs-23.0.94

* Thu Apr  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.0.09-4m)
- rebuild against emacs-23.0.92

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.0.09-3m)
- rebuild against rpm-4.6

* Mon May  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.0.09-2m)
- remove %%{_infodir}/dir to avoid conflicting on x86_64

* Fri May 02 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.1.0.09-1m)
- import to Momonga
